%clear
bool_save=false;
bool_raw=false;

files={
   {'05-SDD1-CCRadialScan2-273uTorr-seed.mca',2.2}
   {'07-SDD1-CCRadialScan0-282uTorr-seed.mca',-0.4}
   {'09-SDD1-CCRadialScan3-288uTorr-seed.mca',3.6}
   {'11-SDD1-CCRadialScan5-287uTorr-seed.mca',5.5}
   {'13-SDD1-CCRadialScan1-285uTorr-seed.mca',1.4}
   {'15-SDD1-CCRadialScan3-294uTorr-seed.mca',2.95}
   {'17-SDD1-CCRadialScan4-286uTorr-seed.mca',4.1}
   {'19-SDD1-CCRadialScan1-279uTorr-seed.mca',0.7}
    };

output_directory='EEDFAnalysisOutput/';
output_beginning='EEDFAnalysisOutput';

radius=@(d) 0.59+(8.09-0.59)*(d/2)/3.5;%radius in cm for divisions d

fs=[];
radii=[];
n=[];
En=[];
Te=[];
for i=1:numel(files)
    row=files(i);
    row=row{1};
    filename=char(row{1}(1:(end-4)));
    load(strcat(output_directory,output_beginning,filename,'.mat'))
    fs=[fs;fit'];
    radii=[radii radius(row{2})];
    dE = E(10) - E(9);
    E_f = E;
    n=[n;sum(fit*dE)];
    En=[En;sum(fit.*E_f*dE)];
end
[radii,I]=sort(radii);
fs=fs(I,:);
n=n(I);En=En(I);
figure('Position',[100 100 1750 900]);
set(gca,'FontSize',16,'LineWidth',2)
semilogy(E_f,fs,'linewidth',2);
legend(strcat(num2str(radii'),' cm radial argument'))
xlabel('Energy (eV)');
ylabel('EEDF (/cc/eV)');
axis([0 7000 1e1 2e5]);
if bool_save
    saveas(gcf,'radial_eedfs.png');
end

figure('Position',[100 100 1750 900]);
subplot(1,2,1)
set(gca,'FontSize',16,'LineWidth',2)
plot(radii,n,'LineWidth',2);
xlabel('Radial argument (cm)');ylabel('Density above threshold (/cc)');
subplot(1,2,2)
set(gca,'FontSize',16,'LineWidth',2)
plot(radii,En,'LineWidth',2);
xlabel('Radial argument (cm)');ylabel('Kinetic energy density above threshold (eV/cc)');
if bool_save
    saveas(gcf,'radial_eedf_quantities.png');
end

[radii,I]=unique(radii);
abel_y=(radii(1:(end-1))+radii(2:end))'/2;
abel_F=(permute([n En],[1 3 2])*16);%Areal density, e/cm^2, and areal energy density, eV/cm^2
%abel_F=(permute([n Te],[1 3 2])*16);%Areal density, e/cm^2, does Te need to be multiplied?
abel_dy=(radii(2:end)-radii(1:(end-1)))';
abel_dF=(abel_F(2:end,:,:)-abel_F(1:(end-1),:,:));
abel_r=radii(1:(end-1));
abel_f=-1/pi*sum(bsxfun(@times,bsxfun(@gt,abel_y,abel_r)./sqrt(bsxfun(@plus,abel_y.^2,-abel_r.^2)),abel_dF),1);

Eavg = abel_f(:,:,2)./abel_f(:,:,1); % average energy above threshold
%Te=[2*En(i)/(3*n(i))];
%Eavg=[En(i)/n(i)]; %average energy above threshold

figure('Position',[100 100 1750 900]);
subplot(1,3,1)
set(gca,'FontSize',16,'LineWidth',2)
plot(abel_r,abel_f(:,:,1),'linewidth',2);
xlabel('Radius (cm)');
ylabel('Density above threshold (/cc)');
axis([0 max(abel_r) 0 max(abel_f(:,:,1))]);
subplot(1,3,2)
set(gca,'FontSize',16,'LineWidth',2)
plot(abel_r,abel_f(:,:,2),'linewidth',2); 
xlabel('Radius (cm)');
ylabel('Kinetic energy density above threshold (eV/cc)');
axis([0 max(abel_r) 0 max(abel_f(:,:,2))]); 
subplot(1,3,3)
set(gca,'FontSize',16,'LineWidth',2)
plot(abel_r,Eavg,'linewidth',2);
xlabel('Radius (cm)');
ylabel('Average energy above threshold (eV)');
axis([0 max(abel_r) 0 1.2*max(Eavg)]); 
if bool_save
    saveas(gcf,'radial_abel_eedf_quantities.png');
end
